/*****************************************************************************

  POPular -- A POP3 server and proxy for large mail systems

  $Id: pproxy.h,v 1.13 2003/11/24 19:23:30 sqrt Exp $

  http://www.remote.org/jochen/mail/popular/

******************************************************************************

  Copyright (C) 1999-2003  Jochen Topf <jochen@remote.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA

*****************************************************************************/

#ifndef _POPULAR_PPROXY_H
#define _POPULAR_PPROXY_H

/* in pproxy.c */
void new_session(struct virt_serv *vserv);
int bind_and_listen(const struct sockaddr_in *sin);
int close_listen_port(const struct sockaddr_in *sin);


/* in pproxy_child.c */
void child_main(struct proxy_session *this_session, int slot, struct virt_serv *vs);

struct virt_serv *find_virt_serv_by_ip(const struct sockaddr_in *sin);
struct virt_serv *find_virt_serv_by_namespace(const char *ns);
struct virt_serv *find_virt_serv_by_capa(const struct capa *capa);


struct backend *get_backend(const char *id, int new);

/* in pproxy_ctrl.c */
void control_command(int sock);

/* in pproxy_res.c */
void flush_backend(void);
char *list_backend(void);
struct backend *get_backend(const char *id, int new);
void flush_virt_serv(int state);
char *list_virt_serv(void);
void fdset_virt_serv(fd_set *fdset);
void fd_isset_virt_serv(const fd_set *fdset, int maxnewsess);
struct virt_serv *get_virt_serv(const char *id, int new);
struct virt_serv *find_virt_serv_by_ip(const struct sockaddr_in *sin);
struct virt_serv *find_virt_serv_by_namespace(const char *ns);


#endif /* _POPULAR_PPROXY_H */


/** THE END *****************************************************************/
