/*****************************************************************************

  POPular -- A POP3 server and proxy for large mail systems

  $Id: xlog.h,v 1.9 2001/03/22 15:11:23 sqrt Exp $

  http://www.remote.org/jochen/mail/popular/

******************************************************************************

  Copyright (C) 1999-2001  Jochen Topf <jochen@remote.org>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA

*****************************************************************************/

#ifndef _POPULAR_XLOG_H
#define _POPULAR_XLOG_H

typedef enum {
  xlog_dbg = 0,		/* debug message */
  xlog_inf,		/* informational message */
  xlog_err,		/* error message */
  xlog_adm,		/* admin intervention required */
  xlog_sos,		/* critical system event */
  xlog_bug		/* software bug */
} xlog_level_t;


void xlog_init(const char *prgname);
void xlog_set_id(const char *id);
int  xlog_open(const char *prgname, const char *logfilename, mode_t mode);
void xlog_close();
int  xlog_reopen(const char *logfilename, mode_t mode);
void xlog_printf(xlog_level_t level, int code, const char *format, ...);


#endif /* _POPULAR_XLOG_H */


/** THE END *****************************************************************/
